<?php
include_once("c_esmo_magnit_instruction_card_edit_step2.php");
class c_page_cab_esmo_magnit_instruction_card_edit_step4 extends c_page_cab_esmo_magnit_instruction_card_edit_step2
{
  public $h1='Редактирование параметров инструктажа - сроки по организациям' ;
  public $rec_doc=array();

  function select_obj_info()
  {  parent::select_obj_info();
     if ($this->rec_event['pkey']) $this->h1=$this->obj_event->name.' "'.$this->rec_event['obj_name'].'" - сроки по организациям' ;
  }


  function block_main()
  { $this->page_title() ;
    $this->panel_select_dates() ;
  }

  function panel_select_dates()
   {   // получаем список всех организаций, которые участвуют в мероприятии
       ?><strong>При необходиомсти, вы можете задать индивидуальные сроки начала мепоприятия для каждой организации</strong><?
       $arr_orgs_event=array() ;
       // получаем список всех организаций из списка
       $arr_ids=[] ;
       $filter_sets=PERSONALS_FILTER()->get_personals_filter_to_item($this->rec_event['_reffer']) ;
       if (_sizeof($filter_sets)) foreach($filter_sets as $filter) if ($filter['org_ids']) foreach($filter['org_ids'] as $org_id=>$t) $arr_ids[$org_id]=1 ;
       // временно не учитывать данные по группам
       $orgs_ids=array_keys($arr_ids) ;
            if (_sizeof($orgs_ids)) $arr_orgs_event=execSQL_row('select pkey,obj_name from obj_site_personals where pkey in ('.implode(',',$orgs_ids).') and clss=207 order by obj_name') ;

       ?><div id="panel_filter"><form id="sky-form" class="sky-form"><input type="hidden" name="filter[enabled]" value="1"><?
          ?><table class="basic fz_small auto"><tr class="head"><th>Организация</th><th>Срок начала мероприятия</th></tr><?
           if (_sizeof($arr_orgs_event)) foreach($arr_orgs_event as $org_id=>$org_name)
           {  $date=(isset($this->rec_event['_ext_info']['date_from_to_orgs'][$org_id]))? date('d.m.Y',$this->rec_event['_ext_info']['date_from_to_orgs'][$org_id]):date('d.m.Y') ; // должна быть теккуща дата
              ?><tr>
                 <td class="left"><?echo $org_name?></td>
                 <td class="center"><input type="text" name="date_from_to_org[<?echo $org_id?>]" class="datepicker" value="<?echo $date?>"></td>
               </tr>
             <?
           }
           ?>
            </table><br>
           <div id="panel_buttons">
              <?if ($this->rec_event['status']!=5){?>
               <button class="button v2" event_id="<?echo $this->rec_event['pkey']?>" cmd="esmo_magnit_instruction/event_orgs_date_save">Сохранить</button><?
              }else echo '<div class=alert>Мероприятие в архиве, изменение дат невозможно</div>'?>
           </div><br>
           </form></div>
           <?
       //damp_array($this->rec_event,1,-1) ;
      }


}
?>
